DashboardsDelete dashboard

Delete dashboard

Permanently delete a dashboard scoped to the resolved location. Linked dashboard_insights rows are removed by cascade; the underlying insights are not deleted. Requires an agency key (ak_).

curl -X DELETE "https://mythic-analytics.gulp.workers.dev/builder/dashboards/123e4567-e89b-12d3-a456-426614174000?location_id=acme-retail" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true
}
DELETE
/dashboards/{id}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need dashboards:read or dashboards:write. See Using an mcp_ key over HTTP.

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need dashboards:read or dashboards:write. See Using an mcp_ key over HTTP.
path
idstring
Required

Dashboard UUID.

Format: uuid
query
location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need dashboards:read or dashboards:write. See Using an mcp_ key over HTTP.

Path Parameters

idstring
Required

Dashboard UUID.

Query Parameters

location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Example:
acme-retail

Responses

successboolean